Name:          libadplug
Version:       2.2.1
Release:       1mamba
Summary:       AdPlug is an hardware independent AdLib sound player library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://adplug.sourceforge.net
Source:        http://downloads.sourceforge.net/adplug/adplug-%{version}.tar.bz2
License:       LGPL
BuildRequires: libbinio-devel
PreReq:        %{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
AdPlug is a free, cross-platform, hardware independent AdLib sound player library, mainly written in C++ and released under the LGPL.
AdPlug plays sound data, originally created for the AdLib (OPL2) audio board, directly from its original format on top of an OPL2 emulator or by using the real hardware.
No OPL chip is required for playback.

%package devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
AdPlug is a free, cross-platform, hardware independent AdLib sound player library, mainly written in C++ and released under the LGPL.
AdPlug plays sound data, originally created for the AdLib (OPL2) audio board, directly from its original format on top of an OPL2 emulator or by using the real hardware.
No OPL chip is required for playback.

This package contains static libraries and header files need for development.

%prep
%setup -q -n adplug-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info

%preun
%uninstall_info %{name}.info
:

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_infodir}/%{name}.info*
%{_mandir}/man1/adplugdb.*
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO

%files devel
%defattr(-,root,root)
%{_bindir}/adplugdb
%{_includedir}/adplug/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/adplug.pc

%changelog
* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic update by autodist

* Sun Mar 21 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.2-1mamba
- update to 2.2

* Wed Jun 27 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.1-1mamba
- update to 2.1

* Mon Jun 26 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.0-1qilnx
- update to version 2.0 by autospec

* Thu Aug 18 2005 Stefano Cotta Ramusino <whitone@gmail.com> 1.5.1-1qilnx
- package created by autospec
